# AOView

Displays an application ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode PETSCDM_DLLEXPORT AOView(AO ao,PetscViewer viewer)

Collective on AO and PetscViewer

### Input Parameters

| ao | - the application ordering context
| viewer | - viewer used for display

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### Keywords

application ordering

### See Also

PetscViewerASCIIOpen()

Level:intermediate
Location: src/dm/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages